package salidasautomaticas.services;

import org.json.JSONArray;
import org.json.JSONObject;
import salidasautomaticas.dao.DAOFactory;
import salidasautomaticas.dao.SalidasDAO;

/**
 *
 * @author sistem19user
 */
public class SalidasServices {

    DAOFactory daofactory = DAOFactory.getFactory(DAOFactory.MYSQL);
    SalidasDAO salidadao = daofactory.getSalidasDAO();

    public JSONArray obtenerHorariosSalida() throws Exception {
        JSONArray listaHorarios = null;

        try {
            listaHorarios = salidadao.obtenerHorariosSalida();
        } catch (Exception e) {
            e.printStackTrace();
        }

        return listaHorarios;
    }

    public JSONObject actualizarSalidas() {
        JSONObject valor = new JSONObject();
        try {
            valor = salidadao.actualizarSalida();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return valor;
    }

    public JSONObject actualizarSalidas(String horaSalida) {
        JSONObject valor = new JSONObject();
        try {
            valor = salidadao.actualizarSalida(horaSalida);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return valor;
    }

    public JSONArray obtenerSalidasNuevas() {
        JSONArray valor = new JSONArray();
        try {
            valor = salidadao.obtenerSalidasNuevas();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return valor;
    }

    public JSONArray obtenerPersonalNuevoSinSalida() {
        JSONArray valor = new JSONArray();
        try {
            valor = salidadao.obtenerPersonalNuevoSinSalida();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return valor;
    }

}
